analyzers:
  orchestration:
    type: diagnostic_aggregator/AnalyzerGroup
    path: Orchestration
    analyzers:
      principal:
        type: diagnostic_aggregator/GenericAnalyzer
        path: Principal Supervisor
        timeout: 5.0
        expected:
          - "orchestration_supervisor: supervisor_zci"
          - "orchestration_supervisor: supervisor_diagnostic"
        remove_prefix:
          - "orchestration_supervisor"
      coredash:
        type: diagnostic_aggregator/GenericAnalyzer
        path: Coredash Servers
        timeout: 5.0
        expected:
          - "orchestration_supervisor: Coredash ROS Diagnostic Aggregator Orchestration"
          - "orchestration_supervisor: Swopdash Server Orchestration"
        remove_prefix:
          - "orchestration_supervisor"
